Dso Timeseries
curl --request GET \
--url https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseriesimport requests
url = "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries")
.asString();require 'uri'
require 'net/http'
url = URI("https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}dataset
Dso Timeseries
¼-hour (or hourly) price series for ANY tariff, static or dynamic.
Static tariffs’ time windows (months/weekdays/HT-NT) are expanded onto
the grid; captured real prices from dynamic-tariff APIs override the
static values where available (source: dynamic). Max range 92 days.
GET
/
api
/
v1
/
dsos
/
{dso_id}
/
timeseries
Dso Timeseries
curl --request GET \
--url https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseriesimport requests
url = "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries")
.asString();require 'uri'
require 'net/http'
url = URI("https://ch-el-tarif-db.azurewebsites.net/api/v1/dsos/{dso_id}/timeseries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response